.fields{
  width: 100%;
  height: auto;
  display: inline-block;
  position: relative;
  margin-bottom: 20px;
  background: transparent;;
}

.input-field {
  width: 30%;
  height: 46px;
  border: 0px;
  border-bottom: 1px solid #9e9e9e;
  transition: border-bottom, box-shadow .25s ease-in-out;
}

label{
  position: absolute;
  top: 0;
  left: 0;
  cursor: text;
  color: #9e9e9e;
  transform: translateY(18px);
  transition: transform .25s ease-in-out;
  transform-origin: 0% 100%;
}

input:focus{
  border-bottom: 1px solid #26a96a;
  box-shadow: 0 1px 0 0 #26a96a;
  outline: 1px solid transparent;
}

input:focus + label{
  transform: translateY(-14px) scale(.8);
}

input::-webkit-input-placeholder,
input::-moz-input-placeholder{
	color: transparent;
}

input::placeholder{
	color: transparent;
}

input:not(:placeholder-shown){
  border-bottom: 1px solid #9e9e9e;
}

input:not(:placeholder-shown) + label{
  transform: translateY(-14px) scale(.8);
}